Campaign - Experiences - Partial

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Response

Field
Type
Description
idintThe id of the campaign
advertiser_idintThe advertiser ID that corresponds to the campaign
namestringThe name of the campaign
start_datestringThe start date of the campaign
end_datestringThe end date of the campaign
statusstringThe campaign status
always_onboolThe always on flag
is_auto_bidboolThe automation for base bid flag
enable_frequency_cappingboolThe frequency capping flag
frequency_cappingstringThe frequency capping amount
pacingstringThe pacing type. Possible values: Evenly, ASAP
budgetobjectThe budget details of the campaign
typestringThe type of budget
amountfloatThe budget amount
primary_goalobjectThe primary goal for the campaign
typestringThe goal type. Possible values are ROAS, GRE, Spend, and Volume.
valuestringThe goal value
errorobjectThe object containing the details of any errors that may have occured with the call
errorstringThe error message
codeintThe code corresponding to the type of error
payloadarray of stringsA list of error messages describing which validations failed, in addition to the first error message
metadataobjectThe campaign metadata

Try it!

Path Params
int32
required

The member group id (provided by Koddi)

int32
required

The advertiser id

int32
required

The campaign id

Body Params
string
required

The campaign name

string
required

The start date of the campaign

string

The end date of the campaign. This is required if always on is false.

string
required

The campaign status

boolean

The flag indicating whether the campaign is evergreen. This will default to false if not included

boolean

The automation for base bid flag

boolean

The enable frequency capping flag

string

The frequency capping

string
required

Whether the campaign is set to even or ASAP pacing. Possible values are either "Evenly" or "ASAP"

budget
object

The budget details

primary_goal
object

The primary goal details

insertion_order
object

the object containing the details of the mapped IO, line item, and purchase order data

Response

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json